We’ve refreshed our API documentation with a brand-new look and feel. Don’t worry, everything you rely on is still there. The content hasn’t changed; it’s just had a makeover to make it cleaner, clearer, and easier to navigate.
cURL
curl --request GET \ --url https://api.kinsta.com/v2/sites/environments/{env_id}/wp-themes \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "status": "active", "column": "updatesAvailable" } '
{ "environment": { "themes": { "items": [ { "name": "twentytwentythree", "title": "Twenty Twenty Three", "status": "active", "version": "1.0.0", "update": "available", "update_version": "1.0.1", "update_status": "updated", "is_version_vulnerable": false, "is_update_version_vulnerable": false, "auto_update_type": "Kinsta Automatic Update" } ], "last_updated_at": "2026-01-01T12:00:00.000Z" } } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
active
inactive
"active"
vulnerable
updatesAvailable
"updatesAvailable"
Successfully found WP themes
Show child attributes